progname = exercise_02_20

exe:
	g++ -E $(progname).cpp	-o $(progname).ii
	g++ -S $(progname).ii	-o $(progname).s
	g++ -c $(progname).s	-o $(progname).o
	g++ $(progname).o	-o $(progname)

clean:
	rm	$(progname).ii	$(progname).o	$(progname).s	$(progname)
